Issue with installing R Studio in mac

it showed up the problem even I tried to install MacOS

version : RStudio-2021.09.3-396.dmg

and

version: RStudio-2022.02.2-485.dmg

my macOS high sierra version is 10.13.6, can anyone help to solve this problem? thx a lot.

I'm pretty sure that RStudio-2022.02.2-485 requires MacOS 10.15 or later. 2021.09.3-396 might be the same but I couldn't find any information to confirm that. You might need to download an older version of RStudio or consider updating your MacOS if you can. Older versions of RStudio can be downloaded here: Older Versions of RStudio - RStudio

That's correct... In general, the latest RStudio releases are only supported on versions of macOS that Apple itself supports (High Sierra exited Apple's support over a year ago).